incubator-blur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aaron McCurry (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BLUR-228) Multiple SLF4J bindings
Date Wed, 09 Oct 2013 11:59:47 GMT

    [ https://issues.apache.org/jira/browse/BLUR-228?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13790280#comment-13790280
] 

Aaron McCurry commented on BLUR-228:
------------------------------------

I actually have this problem when I run the default blur-0.2.0 version with it configured
to use CDH3u5.  It seems that there are different slf4j versions in blur and CDH3.

Aaron

> Multiple SLF4J bindings
> -----------------------
>
>                 Key: BLUR-228
>                 URL: https://issues.apache.org/jira/browse/BLUR-228
>             Project: Apache Blur
>          Issue Type: Improvement
>          Components: Blur, Blur Console
>    Affects Versions: 0.2.0, 0.3.0
>            Reporter: Rahul Challapalli
>            Priority: Trivial
>             Fix For: 0.3.0
>
>
> Copying Aaron's comments from email :
> I'm not sure how we should go about resolving this issue.  In blur-util
> slf4j is on 1.6.1 (because ZooKeeper has it as a dependency) and it's
> appears that Hadoop 1.2.1 is still on 1.4.3 of slf4j.  I know that the
> normal java way to resolve such issues is will different class loaders or
> with OSGI but that seems like over kill.  Thoughts?



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message